# GNU libtool 2.5.4 — provee libltdl (carga de plugins .so), dep de libcanberra. De-Alpinizado.
# Sólo nos interesa libltdl (ltdl.h + libltdl.so + libltdl.pc); el script libtool en sí no lo usa hammer.
name    = "libtool"
version = "2.5.4"
[source]
tarball = "https://ftpmirror.gnu.org/libtool/libtool-2.5.4.tar.xz"
sha256  = "f81f5860666b0bc7d84baddefa60d1cb9fa6fceb2398cc3baca6afaa60266675"
[build]
compiler = "zig-cc"
target   = "x86_64-linux-musl"
link     = "dynamic"
zig_version = "0.13.0"
[build.phases]
configure = './configure --build=$CBUILD --host=$CHOST --prefix=/usr --enable-ltdl-install --disable-static --enable-shared'
compile   = 'make -j"$(nproc)"'
install   = "make install DESTDIR=/out && find /out -name '*.la' -delete"
[deps]
build = ["pkgconf", "m4"]
